%define upstream_name    Time-modules
%define upstream_version 2011.0517

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Time modules for perl
License:    distributable
Group:      Development/Perl
Url:        http://www.cpan.org/modules/by-module/Time/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This package contains the following perl5 modules:

        Time::CTime.pm
                ctime, strftime, and asctime
        Time::JulianDay.pm
                Julian Day conversions
        Time::ParseDate.pm
                Reverses strftime and also understands relative times
        Time::Timezone.pm
        Time::DaysInMonth.pm

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%doc CHANGELOG META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Time/*

%changelog
* Fri Jun 17 2011 jquelin <jquelin> 2011.51.700-1.mga2
+ Revision: 109034
- update to 2011.0517

* Sat Jan 22 2011 jquelin <jquelin> 2006.0814-4.mga1
+ Revision: 31384
- mageia rebuild
- imported package perl-Time-modules


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2006.0814-4mdv2010.1
+ Revision: 426598
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2006.0814-3mdv2009.1
+ Revision: 351700
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2006.0814-2mdv2009.0
+ Revision: 136362
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2006.0814-2mdv2008.1
+ Revision: 123841
- kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 2006.0814-2mdv2008.0
+ Revision: 67554
- rebuild

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2006.0814-1mdv2008.0
+ Revision: 20769
- 2006.0814


* Mon Mar 05 2007 Oden Eriksson <oeriksson@mandriva.com> 2003.1126-2mdv2007.0
+ Revision: 133184
- use mkrel

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Time-modules

* Wed May 12 2004 Michael Scherer <misc@mandrake.org> 2003.1126-1mdk
- New release 2003.1126

